
// C++YjYScaleDemoDlg.h: 头文件
//

#pragma once


// CCYjYScaleDemoDlg 对话框
class CCYjYScaleDemoDlg : public CDialogEx
{
// 构造
public:
	CCYjYScaleDemoDlg(CWnd* pParent = nullptr);	// 标准构造函数

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CYJYSCALEDEMO_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;
	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnNMCustomdrawProgress1(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void setnew( int ADataType);	
	afx_msg void showProgress(int index, int total);
	afx_msg void setProgress(int total);
	afx_msg string GetIP();
	afx_msg  void setProgressRange(int total,int index);
	afx_msg void OnBnClickedBtHotkey();
	afx_msg void OnBnClickedBtplu();
	afx_msg void OnBnClickedBtdepartment();
	afx_msg void OnBnClickedBthotkey();
	afx_msg void OnBnClickedBtunit();
	afx_msg void OnBnClickedBtcustombarcode();
	afx_msg void OnBnClickedBtsystemoptions();
	afx_msg void OnBnClickedBttime();
	afx_msg void OnBnClickedBtlable();
	afx_msg void OnBnClickedBtlablefile();
	afx_msg void OnBnClickedBtlablebackground();
	afx_msg void OnBnClickedBtupplu();
	afx_msg void OnBnClickedBtupdepartment();
	afx_msg void OnBnClickedBtuphotkey();
	afx_msg void OnBnClickedBtupcustombarcode();
	afx_msg void OnBnClickedBtupnote1();
	afx_msg void OnBnClickedBtupnote2();
	afx_msg void OnBnClickedBtupnote3();
	afx_msg void OnBnClickedBtupnote4();
	afx_msg void OnBnClickedBtupsystemoptions();
	afx_msg void OnBnClickedBtuplablefile();
	afx_msg void OnBnClickedBtdelplu();
	afx_msg void OnBnClickedBtdelnote1();
	afx_msg void OnBnClickedBtdelnote2();
	afx_msg void OnBnClickedBtdelnote3();
	afx_msg void OnBnClickedBtdelnote4();
	afx_msg void OnBnClickedBtnote1();
	afx_msg void OnBnClickedBtnote2();
	afx_msg void OnBnClickedBtnote3();
	afx_msg void OnBnClickedBtnote4();
	afx_msg void OnBnClickedBtfinalize();
	afx_msg void OnBnClickedBtinit();
};
